Page MenuHomePhabricator

[x86][slh] Move isDataInvariant* functions
ClosedPublic

Authored by zbrid on Mar 4 2020, 3:38 PM.

Details

Summary

I moved these functions to X86InstrInfo.cpp, so they are available from
another pass. In addition, this is a step toward resolving the FIXME to
move this metadata to the instruction tables.

This is the final step to make these two data invariance checks
available for non-SLH passes.

The other two steps were here:

Tested via llvm-lit llvm/test/CodeGen/X86/speculative-load-hardening*

Diff Detail

Event Timeline

zbrid created this revision.Mar 4 2020, 3:38 PM
george.burgess.iv accepted this revision.Mar 5 2020, 2:51 PM

thanks for this!

This revision is now accepted and ready to land.Mar 5 2020, 2:51 PM
craig.topper accepted this revision.Mar 5 2020, 4:56 PM

LGTM also

This revision was automatically updated to reflect the committed changes.
MaskRay added a subscriber: MaskRay.Mar 9 2020, 6:53 PM

Since we are now using Git (instead of SVN), there is a better way for author attribution. From https://llvm.org/docs/DeveloperPolicy.html#commit-messages

If you’re not the original author, ensure the ‘Author’ property of the commit is set to the original author and the ‘Committer’ property is set to yourself. You can use a command similar to git commit --amend --author="John Doe <jdoe@llvm.org> to correct the author property if it is incorrect. See Attribution of Changes for more information including the method we used for attribution before the project migrated to git.

Ack -- I'll do that in the future.

Thanks for the note!